function check_num(num, text_num)
use work

real num
character(*) text_num

check_num =0

    if(abs(num) < eps_num) then		! tiny(f1)
    print '(/,a, 1pG9.2)',   ' '//trim(text_num)//' =', num
    write(1, '(/,a, 1pG9.2)') ' '//trim(text_num)//' =', num

!    kod=-2
check_num =-1        ! goto 500
    endif

END